LoaderSF (Apache Tomcat 10.1.48 API Documentation)
Description: declaration: package: org.apache.catalina.storeconfig, class: LoaderSF

# Class LoaderSF

java.lang.Object
org.apache.catalina.storeconfig.StoreFactoryBase
org.apache.catalina.storeconfig.LoaderSF

All Implemented Interfaces:
  `IStoreFactory`

public class LoaderSF extends StoreFactoryBase
Store Loader Element.

- ## Field Summary

  ### Fields inherited from class StoreFactoryBase

  `sm`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoaderSF()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `isDefaultLoader(Loader loader)`
  Is this an instance of the default `Loader` configuration, with all-default properties?
  `void`
  `store(PrintWriter aWriter, int indent, Object aElement)`
  Store a server.xml element with attributes and children.

  ### Methods inherited from class StoreFactoryBase

  `getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeChildren, storeElement, storeElementArray, storeXMLHead`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LoaderSF

    public LoaderSF()

- ## Method Details

  - ### store

    public void store(PrintWriter aWriter, int indent, Object aElement) throws Exception
    Description copied from interface: `IStoreFactory`
    Store a server.xml element with attributes and children.
    Specified by:
      `store` in interface `IStoreFactory`
    Overrides:
      `store` in class `StoreFactoryBase`
    Parameters:
      `aWriter` - the writer to write to
      `indent` - the indentation
      `aElement` - the element to write
    Throws:
      `Exception` - if an error occurs

  - ### isDefaultLoader

    protected boolean isDefaultLoader(Loader loader)
    Is this an instance of the default `Loader` configuration, with all-default properties?
    Parameters:
      `loader` - Loader to be tested
    Returns:
      `true` if this is an instance of the default loader